## python-netaddr 0.7.7

=== Makefile ===
#
# Build for netaddr
#
SHELL = /bin/bash

.PHONY = all clean build docs download

all:
	@echo 'default target does nothing. try clean'

clean:
	@echo 'cleaning up temporary files'
	rm -rf dist/
	rm -rf build/
	find . -name '*.pyc' -exec rm -f {} ';'
	find . -name '*.pyo' -exec rm -f {} ';'

build:
	@echo 'build netaddr release'
	python setup_egg.py develop
	python setup.py sdist --formats=gztar,zip
	python setup_egg.py bdist_egg

documentation:
	@echo 'building documentation'
	python setup_egg.py develop
	cd docs/ && $(MAKE) -f Makefile clean html
	cd docs/build/html && zip -r ../netaddr.zip *

download:
	@echo 'downloading latest IEEE data'
	cd netaddr/eui/ && wget http://standards.ieee.org/regauth/oui/oui.txt
	cd netaddr/eui/ && wget wget http://standards.ieee.org/regauth/oui/iab.txt
	@echo 'downloading latest IANA data'
	cd netaddr/ip/ && wget http://www.iana.org/assignments/ipv4-address-space
	cd netaddr/ip/ && wget http://www.iana.org/assignments/ipv6-address-space
	cd netaddr/ip/ && wget http://www.iana.org/assignments/multicast-addresses

## python-netaddr 0.7.5

=== debian/changelog ===
python-netaddr (0.7.5-4build2) precise; urgency=low

  * debian/patches/fix-exception-invalid-ip.patch: Dont
    throw an exception when an invalid IP address is sent.

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 28 Mar 2012 13:59:17 -0400

python-netaddr (0.7.5-4build1) precise; urgency=low

  * Rebuild to drop python2.6 dependencies.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 31 Dec 2011 02:11:17 +0000

python-netaddr (0.7.5-4) unstable; urgency=low

  * Tests have moved. Update debian/runtests.py accordingly.
    Patch from Ubuntu. Closes: #633653.
  * Support for ipython 0.11. Thanks to Julian Taylor.
    Closes: #636476.

 -- Vincent Bernat <bernat@debian.org>  Sun, 07 Aug 2011 09:05:16 +0200

python-netaddr (0.7.5-3) unstable; urgency=low

  * Fix debian/watch. Closes: #614358.
  * Add a patch to allow unpickling. Closes: #631360.
      + Switch to 3.0 quilt format.
  * Bump Standards-Version.

 -- Vincent Bernat <bernat@debian.org>  Sat, 09 Jul 2011 16:34:08 +0200

python-netaddr (0.7.5-2) unstable; urgency=low

  * Team upload.
  * Rebuild to add Python 2.7 support

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 08 May 2011 16:45:44 +0200

python-netaddr (0.7.5-1) unstable; urgency=low

  * New upstream release.
     + Fix an inability to load from PowerDNS coprocess. Closes: #614335.
  * Update Homepage link in debian/control.
  * Bump Standards-Version.
  * Switch to dh_python2.

 -- Vincent Bernat <bernat@debian.org>  Mon, 21 Feb 2011 08:55:55 +0100

python-netaddr (0.7.4-1) unstable; urgency=low

  [ Vincent Bernat ]
  * New upstream release
  * Provide a doc-base file
  * Add a manual page for netaddr and add a Suggests for ipython to
    debian/control

  [ Piotr Ożarowski ]
  * CDBS uses site-packages even for python2.6, adjust runtests.py
    accordingly

 -- Vincent Bernat <bernat@debian.org>  Thu, 31 Dec 2009 12:29:06 +0100

python-netaddr (0.7.3-1) unstable; urgency=low

  * New upstream release
  * Bump Standards-Version.

 -- Vincent Bernat <bernat@debian.org>  Sat, 17 Oct 2009 13:16:12 +0200

python-netaddr (0.6.2-1) unstable; urgency=low

  * New upstream release

 -- Vincent Bernat <bernat@debian.org>  Thu, 11 Jun 2009 21:29:34 +0200

python-netaddr (0.6-2) unstable; urgency=low

  * Run unittests before calling python-support. Closes: #517064.
  * Bump Standards-Version. No changes required.

 -- Vincent Bernat <bernat@debian.org>  Sat, 21 Mar 2009 09:27:48 +0100

python-netaddr (0.6-1) unstable; urgency=low

  [ Vincent Bernat ]
  * New upstream release

  [ Sandro Tosi ]
  * debian/control
    - switch Vcs-Browser field to viewsvn

 -- Vincent Bernat <bernat@debian.org>  Thu, 22 Jan 2009 21:58:05 +0100

python-netaddr (0.5.2-1) unstable; urgency=low

  * New upstream release

 -- Vincent Bernat <bernat@debian.org>  Mon, 27 Oct 2008 18:21:55 +0100

python-netaddr (0.4-1) unstable; urgency=low

  * Initial release (Closes: #496819)

 -- Vincent Bernat <bernat@debian.org>  Thu, 28 Aug 2008 09:29:38 +0200

=== debian/control ===
Source: python-netaddr
Section: python
Priority: optional
Maintainer: Vincent Bernat <bernat@debian.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Standards-Version: 3.9.2
Build-Depends: debhelper (>= 5.0.37.2),
	       cdbs (>= 0.4.90~),
	       python (>= 2.6.5), python-setuptools (>= 0.6b3)
Homepage: https://github.com/drkjam/netaddr/
Vcs-Svn: svn://svn.debian.org/python-modules/packages/python-netaddr/trunk
Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/python-netaddr/trunk/

Package: python-netaddr
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
XB-Python-Version: ${python:Versions}
Suggests: ipython
Description: manipulation of various common network address notations 
 netaddr is a Python library for the manipulation of various common
 network address notations and representations.
 .
 It takes the hassle out of fiddling with enumerable variations of
 network addresses presenting a consistent, extensible, easy-to-use
 and (above all) Pythonic API.
 .
 With it you can validate, convert, categorise, iterate, generate,
 slice (and dice):
  - MAC (Media Access Control)
  - IEEE EUI-48 and EUI-64
  - IP version 4
  - IP version 6
  - CIDR (Classless Inter-Domain Routing)

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-

#Now uses dh_python2
#DEB_PYTHON_SYSTEM = pysupport

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/python-distutils.mk

DEB_COMPRESS_EXCLUDE := .js

ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
install/python-netaddr::
	$(call cdbs_python_binary,python$(cdbs_python_compile_version)) \
		debian/runtests.py .
endif

## python-netaddr 0.7.6

=== debian/changelog ===
python-netaddr (0.7.6-1) unstable; urgency=low

  * New upstream release

 -- Vincent Bernat <bernat@debian.org>  Sun, 15 Jan 2012 13:46:06 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,8 @@
 Standards-Version: 3.9.2
 Build-Depends: debhelper (>= 5.0.37.2),
 	       cdbs (>= 0.4.90~),
-	       python (>= 2.6.5), python-setuptools (>= 0.6b3)
+	       python (>= 2.6.5), python-setuptools (>= 0.6b3),
+               python-epydoc
 Homepage: https://github.com/drkjam/netaddr/
 Vcs-Svn: svn://svn.debian.org/python-modules/packages/python-netaddr/trunk
 Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/python-netaddr/trunk/

=== debian/rules ===
--- 
+++ 
@@ -9,6 +9,9 @@
 
 DEB_COMPRESS_EXCLUDE := .js
 
+build/python-netaddr::
+	epydoc --config=./docs/epydoc.cfg
+
 ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
 install/python-netaddr::
 	$(call cdbs_python_binary,python$(cdbs_python_compile_version)) \

## python-netaddr 0.7.7

=== debian/changelog ===
python-netaddr (0.7.7-1~cloud0) precise-havana; urgency=low

  * New update for the Ubuntu Cloud Archive

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 10 Jun 2013 09:07:56 -0500

python-netaddr (0.7.7-1) unstable; urgency=low

  * New upstream release.
  * Generate documentation with Sphinx instead of epydoc. Also, ship the
    documentation in a separate package.
  * Add Python 3 package. Update compatibility level to 8.

 -- Vincent Bernat <bernat@debian.org>  Sat, 23 Jun 2012 16:21:19 +0200

python-netaddr (0.7.6-2) unstable; urgency=low

  * Clean generated documentation. Closes: #671344.
  * Bump Standards-Version.

 -- Vincent Bernat <bernat@debian.org>  Sat, 12 May 2012 11:09:42 +0200

=== debian/control ===
Source: python-netaddr
Section: python
Priority: optional
Maintainer: Vincent Bernat <bernat@debian.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Standards-Version: 3.9.3
Build-Depends: debhelper (>= 8),
	       cdbs (>= 0.4.90~),
	       python (>= 2.6.5), python3 (>= 3.2),
	       python-setuptools (>= 0.6b3),
               python-sphinx (>= 1.0.7+dfsg) | python3-sphinx
Homepage: https://github.com/drkjam/netaddr/
Vcs-Svn: svn://svn.debian.org/python-modules/packages/python-netaddr/trunk
Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/python-netaddr/trunk/
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.2

Package: python-netaddr
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Suggests: ipython, python-netaddr-docs
Description: manipulation of various common network address notations (Python 2)
 netaddr is a Python library for the manipulation of various common
 network address notations and representations.
 .
 It takes the hassle out of fiddling with enumerable variations of
 network addresses presenting a consistent, extensible, easy-to-use
 and (above all) Pythonic API.
 .
 With it you can validate, convert, categorise, iterate, generate,
 slice (and dice):
  - MAC (Media Access Control)
  - IEEE EUI-48 and EUI-64
  - IP version 4
  - IP version 6
  - CIDR (Classless Inter-Domain Routing)
 .
 This is the Python 2 version of the package.

Package: python3-netaddr
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Suggests: ipython3, python-netaddr-docs
Description: manipulation of various common network address notations (Python 3)
 netaddr is a Python library for the manipulation of various common
 network address notations and representations.
 .
 It takes the hassle out of fiddling with enumerable variations of
 network addresses presenting a consistent, extensible, easy-to-use
 and (above all) Pythonic API.
 .
 With it you can validate, convert, categorise, iterate, generate,
 slice (and dice):
  - MAC (Media Access Control)
  - IEEE EUI-48 and EUI-64
  - IP version 4
  - IP version 6
  - CIDR (Classless Inter-Domain Routing)
 .
 This is the Python 3 version of the package.

Package: python-netaddr-docs
Architecture: all
Section: doc
Depends: ${sphinxdoc:Depends}, ${misc:Depends}
Replaces: python-netaddr (<< 0.7.7-1)
Breaks: python-netaddr (<< 0.7.7-1)
Description: manipulation of various common network address notations (documentation)
 netaddr is a Python library for the manipulation of various common
 network address notations and representations.
 .
 It takes the hassle out of fiddling with enumerable variations of
 network addresses presenting a consistent, extensible, easy-to-use
 and (above all) Pythonic API.
 .
 This package contains the documentation.

## python-netaddr 0.7.10

=== Makefile ===
#-----------------------------------------------------------------------------
#   Copyright (c) 2008-2012, David P. D. Moss. All rights reserved.
#
#   Released under the BSD license. See the LICENSE file for details.
#-----------------------------------------------------------------------------
#
# Unified build script for the netaddr library
#
SHELL = /bin/bash

.PHONY = all clean build documentation download

all:
	@echo 'default target does nothing. try clean'

clean:
	@echo 'cleaning up temporary files'
	rm -rf dist/
	rm -rf build/
	rm -rf docs/build/
	rm -rf netaddr.egg-info/
	find . -name '*.pyc' -exec rm -f {} ';'
	find . -name '*.pyo' -exec rm -f {} ';'

build: clean download
	@echo 'build netaddr release'
	python setup_egg.py develop
	python setup.py sdist --formats=gztar,zip
	python setup_egg.py bdist_egg

documentation:
	@echo 'building documentation'
	python setup_egg.py develop
	cd docs/ && $(MAKE) -f Makefile clean html
	cd docs/build/html && zip -r ../netaddr.zip *

download:
	@echo 'downloading latest IEEE data'
	cd netaddr/eui/ && wget -N http://standards.ieee.org/regauth/oui/oui.txt
	cd netaddr/eui/ && wget -N http://standards.ieee.org/regauth/oui/iab.txt
	@echo 'rebuilding IEEE data file indices'
	python netaddr/eui/ieee.py
	@echo 'downloading latest IANA data'
	cd netaddr/ip/ && wget -N http://www.iana.org/assignments/ipv4-address-space/ipv4-address-space.xml
	cd netaddr/ip/ && wget -N http://www.iana.org/assignments/ipv6-address-space/ipv6-address-space.xml
	cd netaddr/ip/ && wget -N http://www.iana.org/assignments/multicast-addresses/multicast-addresses.xml

register:
	@echo 'releasing netaddr'
	python setup_egg.py register

=== debian/changelog ===
python-netaddr (0.7.10-1ubuntu1.1) trusty-proposed; urgency=medium

  * netaddr/ip/sets.py:
    Fixes typo when accessing _sys_maxint (LP: #1421375)

 -- Adam Stokes <adam.stokes@ubuntu.com>  Thu, 12 Feb 2015 14:03:02 -0600

python-netaddr (0.7.10-1build1) trusty; urgency=medium

  * Rebuild to drop files installed into /usr/share/pyshared.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 23 Feb 2014 13:52:25 +0000

python-netaddr (0.7.10-1) unstable; urgency=low

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

  [ Vincent Bernat ]
  * New upstream release.
  * Bump Standards-Version to 3.9.4.

 -- Vincent Bernat <bernat@debian.org>  Sun, 04 Aug 2013 15:45:54 +0200

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,18 @@
 Source: python-netaddr
 Section: python
 Priority: optional
-Maintainer: Vincent Bernat <bernat@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Vincent Bernat <bernat@debian.org>
 Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Build-Depends: debhelper (>= 8),
 	       cdbs (>= 0.4.90~),
 	       python (>= 2.6.5), python3 (>= 3.2),
 	       python-setuptools (>= 0.6b3),
                python-sphinx (>= 1.0.7+dfsg) | python3-sphinx
 Homepage: https://github.com/drkjam/netaddr/
-Vcs-Svn: svn://svn.debian.org/python-modules/packages/python-netaddr/trunk
-Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/python-netaddr/trunk/
+Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/python-netaddr/trunk/
+Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/python-netaddr/trunk/
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.2

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/python-distutils.mk

# Documentation
build/python-netaddr-docs::
	PYTHONPATH=$(CURDIR) sphinx-build -q docs/source docs/api
binary-fixup/python-netaddr-docs::
	dh_sphinxdoc -p$(cdbs_curpkg)

# Tests
ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
install/python-netaddr install/python3-netaddr::
	$(call cdbs_python_binary,python$(cdbs_python_compile_version)) \
		debian/runtests.py .
endif

clean::
	-rm -rf docs/api

## python-netaddr 0.7.12

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #-----------------------------------------------------------------------------
-#   Copyright (c) 2008-2012, David P. D. Moss. All rights reserved.
+#   Copyright (c) 2008-2014, David P. D. Moss. All rights reserved.
 #
 #   Released under the BSD license. See the LICENSE file for details.
 #-----------------------------------------------------------------------------

=== debian/changelog ===
python-netaddr (0.7.12-2~cloud0) trusty-kilo; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Thu, 06 Nov 2014 10:41:52 -0500

python-netaddr (0.7.12-2) unstable; urgency=medium

  * Fix location of IEEE data files (again!). Closes: #765123.

 -- Vincent Bernat <bernat@debian.org>  Mon, 13 Oct 2014 21:01:31 +0200

python-netaddr (0.7.12-1) unstable; urgency=medium

  * New upstream release
  * Fix debian/watch.
  * Fix location of IEEE data files. Closes: #756520.

 -- Vincent Bernat <bernat@debian.org>  Thu, 31 Jul 2014 08:57:57 +0200

python-netaddr (0.7.10-5) unstable; urgency=medium

  * Fix FTBFS due to deprecation of /usr/share/pyshared directory.
    Closes: #750311.

 -- Vincent Bernat <bernat@debian.org>  Fri, 06 Jun 2014 22:42:15 +0200

python-netaddr (0.7.10-4) unstable; urgency=low

  * Ensure that we get the right she-bang for /usr/bin/netaddr.
    Closes: #739840.

 -- Vincent Bernat <bernat@debian.org>  Wed, 26 Feb 2014 20:44:56 +0100

python-netaddr (0.7.10-3) unstable; urgency=low

  * Fix typo in dependency to ieee-data. Closes: #739765.

 -- Vincent Bernat <bernat@debian.org>  Sat, 22 Feb 2014 13:05:42 +0100

python-netaddr (0.7.10-2) unstable; urgency=low

  * Depends on ieee-data instead of shipping oui.txt and iab.txt.
    Closes: #739197. Closes: #739198.
  * Bump Standards-Version to 3.9.5.

 -- Vincent Bernat <bernat@debian.org>  Fri, 21 Feb 2014 00:01:42 +0100

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,15 @@
 Source: python-netaddr
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Vincent Bernat <bernat@debian.org>
+Maintainer: Vincent Bernat <bernat@debian.org>
 Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Build-Depends: debhelper (>= 8),
 	       cdbs (>= 0.4.90~),
 	       python (>= 2.6.5), python3 (>= 3.2),
 	       python-setuptools (>= 0.6b3),
-               python-sphinx (>= 1.0.7+dfsg) | python3-sphinx
+               python-sphinx (>= 1.0.7+dfsg) | python3-sphinx,
+               ieee-data
 Homepage: https://github.com/drkjam/netaddr/
 Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/python-netaddr/trunk/
 Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/python-netaddr/trunk/
@@ -18,7 +18,7 @@
 
 Package: python-netaddr
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}
+Depends: ${misc:Depends}, ${python:Depends}, ieee-data
 Suggests: ipython, python-netaddr-docs
 Description: manipulation of various common network address notations (Python 2)
  netaddr is a Python library for the manipulation of various common
@@ -40,7 +40,7 @@
 
 Package: python3-netaddr
 Architecture: all
-Depends: ${misc:Depends}, ${python3:Depends}
+Depends: ${misc:Depends}, ${python3:Depends}, ieee-data
 Suggests: ipython3, python-netaddr-docs
 Description: manipulation of various common network address notations (Python 3)
  netaddr is a Python library for the manipulation of various common

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-

# Hack to ensure Python stuff to be installed in the right place
DEB_PYTHON_DESTDIR=$(if $(filter %-docs,$(cdbs_curpkg)),$(DEB_DESTDIR),$(CURDIR)/debian/$(cdbs_curpkg))

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/python-distutils.mk

# ieee-data
python_module_path=/usr/lib/python*/dist-packages
binary-fixup/python-netaddr binary-fixup/python3-netaddr::
	rm $(CURDIR)/debian/$(cdbs_curpkg)$(python_module_path)/netaddr/eui/iab.*
	rm $(CURDIR)/debian/$(cdbs_curpkg)$(python_module_path)/netaddr/eui/oui.*
	ln -s /usr/share/ieee-data/oui.txt $(CURDIR)/debian/$(cdbs_curpkg)$(python_module_path)/netaddr/eui/
	ln -s /usr/share/ieee-data/iab.txt $(CURDIR)/debian/$(cdbs_curpkg)$(python_module_path)/netaddr/eui/
	# We use "python" on purpose: the idx files cannot be generated by python3
	PYTHONPATH=$(CURDIR) python \
		$(CURDIR)/debian/$(cdbs_curpkg)$(python_module_path)/netaddr/eui/ieee.py
	dh_link -p$(cdbs_curpkg)

# No netaddr binary for python3-netaddr
binary-fixup/python3-netaddr::
	rm -rf $(CURDIR)/debian/$(cdbs_curpkg)/usr/bin

# Documentation
build/python-netaddr-docs::
	PYTHONPATH=$(CURDIR) sphinx-build -q docs/source docs/api
binary-fixup/python-netaddr-docs::
	dh_sphinxdoc -p$(cdbs_curpkg)

# Tests
ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
install/python-netaddr install/python3-netaddr::
	$(cdbs_curpythonindepbinary) debian/runtests.py .
endif

clean::
	-rm -rf docs/api

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/rel(?:ease)?-(\d\S*)\.tar\.gz/netaddr-$1\.tar\.gz/ \
  https://github.com/drkjam/netaddr/tags .*/rel(?:ease)?-(\d\S*)\.tar\.gz

## python-netaddr 0.7.17

=== Makefile ===
#-----------------------------------------------------------------------------
#   Copyright (c) 2008-2015, David P. D. Moss. All rights reserved.
#
#   Released under the BSD license. See the LICENSE file for details.
#-----------------------------------------------------------------------------
#
# Unified build script for the netaddr library
#
SHELL = /bin/bash

.PHONY = all clean dist doc download test

all:
	@echo 'default target does nothing. try clean'

clean:
	@echo 'cleaning up temporary files'
	rm -rf dist/
	rm -rf build/
	rm -rf docs/build/
	rm -rf netaddr.egg-info/
	find . -name '*.pyc' -exec rm -f {} ';'
	find . -name '*.pyo' -exec rm -f {} ';'

dist: clean doc
	@echo 'building netaddr release'
	python setup_egg.py develop
	@echo 'building source distributions'
	python setup.py sdist --formats=gztar,zip
	@echo 'building egg package'
	python setup_egg.py bdist_egg
	@echo 'building wheel package'
	pip install --upgrade pip
	pip install wheel
	python setup_egg.py bdist_wheel --universal

doc:
	@echo 'building documentation'
	pip install sphinx
	python setup_egg.py develop
	cd docs/ && $(MAKE) -f Makefile clean html
	cd docs/build/html && zip -r ../netaddr.zip *

download:
	@echo 'downloading latest IEEE data'
	cd netaddr/eui/ && wget -N http://standards.ieee.org/develop/regauth/oui/oui.txt
	cd netaddr/eui/ && wget -N http://standards.ieee.org/develop/regauth/iab/iab.txt
	@echo 'rebuilding IEEE data file indices'
	python netaddr/eui/ieee.py
	@echo 'downloading latest IANA data'
	cd netaddr/ip/ && wget -N http://www.iana.org/assignments/ipv4-address-space/ipv4-address-space.xml
	cd netaddr/ip/ && wget -N http://www.iana.org/assignments/ipv6-address-space/ipv6-address-space.xml
	cd netaddr/ip/ && wget -N http://www.iana.org/assignments/multicast-addresses/multicast-addresses.xml
	cd netaddr/ip/ && wget -N http://www.iana.org/assignments/ipv6-unicast-address-assignments/ipv6-unicast-address-assignments.xml

register:
	@echo 'releasing netaddr'
	python setup_egg.py register

push_tags:
	@echo 'syncing tags'
	git push --tags

test: clean
	@echo 'running test suite'
	python setup.py test
	@echo 'running doc tests (tutorials)'
	python tutorials/run_doctests.py

=== debian/changelog ===
python-netaddr (0.7.17-1~cloud0) trusty-liberty; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Fri, 04 Sep 2015 14:05:34 +0000

python-netaddr (0.7.17-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * d/control:
    - Build-Depend on python3-all to pick up Python 3.5.
    - Build-Depend on locales so that utf-8 locale can be created for the
      test suite.
  * d/rules:
    - Invoke py.test directly instead of through the runtests.py script,
      since the latter embeds an old and Python 3.5 incompatible version
      of py.test.
    - Ensure UTF-8 locale.
  * d/watch: Use pypi.debian.net redirector.
  * wrap-and-sort.

 -- Barry Warsaw <barry@debian.org>  Thu, 03 Sep 2015 17:17:06 -0400

python-netaddr (0.7.15-1) unstable; urgency=medium

  * New upstream release.
  * Silent Lintian about *.idx files. Not available in ieee-data package.

 -- Vincent Bernat <bernat@debian.org>  Mon, 10 Aug 2015 11:30:13 +0200

python-netaddr (0.7.14-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 3.9.6.
  * Convert to dh/pybuild.
  * Update debian/watch.

 -- Vincent Bernat <bernat@debian.org>  Fri, 29 May 2015 09:08:34 +0200

## python-netaddr 0.7.18

=== Makefile ===
--- 
+++ 
@@ -66,3 +66,7 @@
 	python setup.py test
 	@echo 'running doc tests (tutorials)'
 	python tutorials/run_doctests.py
+
+test_with_junitxml: clean
+	@echo 'running test suite with JUnit XML output'
+	py.test -vv --junitxml=$$CI_REPORTS/junit.xml $(PWD)/netaddr/tests

=== debian/changelog ===
python-netaddr (0.7.18-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Fixed VCS URL (https)

  [ Vincent Bernat ]
  * Bump Standards-Version to 3.9.8.
  * Replace manual use of localedef by localehelper package. Should also
    closes: #814696.

 -- Vincent Bernat <bernat@debian.org>  Sat, 10 Sep 2016 14:07:34 +0200

python-netaddr (0.7.18-1) unstable; urgency=medium

  * New upstream release

 -- Vincent Bernat <bernat@debian.org>  Mon, 14 Sep 2015 22:55:00 +0200

=== debian/control ===
--- 
+++ 
@@ -3,22 +3,24 @@
 Priority: optional
 Maintainer: Vincent Bernat <bernat@debian.org>
 Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Standards-Version: 3.9.5
-Build-Depends: debhelper (>= 8),
-	       cdbs (>= 0.4.90~),
-	       python (>= 2.6.5), python3 (>= 3.2),
-	       python-setuptools (>= 0.6b3),
-               python-sphinx (>= 1.0.7+dfsg) | python3-sphinx,
-               ieee-data
+Standards-Version: 3.9.8
+Build-Depends: debhelper (>= 9),
+               ieee-data,
+               localehelper,
+               python (>= 2.6.5),
+               python-pytest,
+               python-setuptools (>= 0.6b3),
+               python-sphinx (>= 1.0.7+dfsg),
+               python3-all (>= 3.2),
+               python3-pytest,
+               python3-setuptools
 Homepage: https://github.com/drkjam/netaddr/
-Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/python-netaddr/trunk/
-Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/python-netaddr/trunk/
-X-Python-Version: >= 2.6
-X-Python3-Version: >= 3.2
+Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-netaddr.git
+Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-netaddr.git
 
 Package: python-netaddr
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}, ieee-data
+Depends: ieee-data, ${misc:Depends}, ${python:Depends}
 Suggests: ipython, python-netaddr-docs
 Description: manipulation of various common network address notations (Python 2)
  netaddr is a Python library for the manipulation of various common
@@ -40,7 +42,7 @@
 
 Package: python3-netaddr
 Architecture: all
-Depends: ${misc:Depends}, ${python3:Depends}, ieee-data
+Depends: ieee-data, ${misc:Depends}, ${python3:Depends}
 Suggests: ipython3, python-netaddr-docs
 Description: manipulation of various common network address notations (Python 3)
  netaddr is a Python library for the manipulation of various common
@@ -63,7 +65,7 @@
 Package: python-netaddr-docs
 Architecture: all
 Section: doc
-Depends: ${sphinxdoc:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${sphinxdoc:Depends}
 Replaces: python-netaddr (<< 0.7.7-1)
 Breaks: python-netaddr (<< 0.7.7-1)
 Description: manipulation of various common network address notations (documentation)

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-

export PYBUILD_NAME=netaddr
export LC_ALL=C.UTF-8

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_installdocs:
	dh_installdocs
	PYTHONPATH=. sphinx-build -N -q -E -b html docs/source/ \
		debian/python-netaddr-docs/usr/share/doc/python-netaddr-docs/api/

override_dh_install:
	dh_install
	rm -rf debian/python3-netaddr/usr/bin

# Replace EUI files with the appropriate symlinks
override_dh_link: dh_link/python-netaddr dh_link/python3-netaddr
	dh_link
python_module_path=usr/lib/python*/dist-packages
dh_link/python-netaddr dh_link/python3-netaddr:
	rm debian/$(@:dh_link/%=%)/$(python_module_path)/netaddr/eui/iab.*
	rm debian/$(@:dh_link/%=%)/$(python_module_path)/netaddr/eui/oui.*
	ln -s /usr/share/ieee-data/oui.txt debian/$(@:dh_link/%=%)/$(python_module_path)/netaddr/eui/
	ln -s /usr/share/ieee-data/iab.txt debian/$(@:dh_link/%=%)/$(python_module_path)/netaddr/eui/
	PYTHONPATH=$(CURDIR) python \
		debian/$(@:dh_link/%=%)/$(python_module_path)/netaddr/eui/ieee.py

# Tests
override_dh_auto_test:
	localehelper LANG=en_US.UTF-8 dh_auto_test -- \
		--system=custom \
		--test-args='{interpreter} -c "import py; py.test.cmdline.main()"'

## python-netaddr 0.7.19

=== Makefile ===
--- 
+++ 
@@ -1,17 +1,17 @@
 #-----------------------------------------------------------------------------
-#   Copyright (c) 2008-2015, David P. D. Moss. All rights reserved.
+#   Copyright (c) 2008 by David P. D. Moss. All rights reserved.
 #
 #   Released under the BSD license. See the LICENSE file for details.
 #-----------------------------------------------------------------------------
 #
-# Unified build script for the netaddr library
+# netaddr library build script
 #
 SHELL = /bin/bash
 
-.PHONY = all clean dist doc download test
+.PHONY = default clean dist doc download test
 
-all:
-	@echo 'default target does nothing. try clean'
+default:
+	@echo 'Please select a build target.'
 
 clean:
 	@echo 'cleaning up temporary files'
@@ -24,27 +24,25 @@
 
 dist: clean doc
 	@echo 'building netaddr release'
-	python setup_egg.py develop
+	python setup.py develop
 	@echo 'building source distributions'
 	python setup.py sdist --formats=gztar,zip
-	@echo 'building egg package'
-	python setup_egg.py bdist_egg
 	@echo 'building wheel package'
 	pip install --upgrade pip
 	pip install wheel
-	python setup_egg.py bdist_wheel --universal
+	python setup.py bdist_wheel --universal
 
 doc:
 	@echo 'building documentation'
 	pip install sphinx
-	python setup_egg.py develop
+	python setup.py develop
 	cd docs/ && $(MAKE) -f Makefile clean html
 	cd docs/build/html && zip -r ../netaddr.zip *
 
 download:
 	@echo 'downloading latest IEEE data'
-	cd netaddr/eui/ && wget -N http://standards.ieee.org/develop/regauth/oui/oui.txt
-	cd netaddr/eui/ && wget -N http://standards.ieee.org/develop/regauth/iab/iab.txt
+	cd netaddr/eui/ && wget -N http://standards-oui.ieee.org/oui/oui.txt
+	cd netaddr/eui/ && wget -N http://standards-oui.ieee.org/iab/iab.txt
 	@echo 'rebuilding IEEE data file indices'
 	python netaddr/eui/ieee.py
 	@echo 'downloading latest IANA data'
@@ -63,7 +61,8 @@
 
 test: clean
 	@echo 'running test suite'
-	python setup.py test
+	pip install -r requirements.txt
+	py.test netaddr/tests
 	@echo 'running doc tests (tutorials)'
 	python tutorials/run_doctests.py

=== debian/changelog ===
python-netaddr (0.7.19-3) unstable; urgency=medium

  * d/control: build-depends on python-all. Closes: #950362.

 -- Vincent Bernat <bernat@debian.org>  Fri, 31 Jan 2020 23:42:29 +0100

python-netaddr (0.7.19-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * Use 'python3 -m sphinx' instead of sphinx-build for building docs
  * Use debhelper-compat instead of debian/compat.

  [ Vincent Bernat ]
  * d/control: BD on dh-python. Closes: #950071.
  * d/patches: add patch to fix tests with Python 3.8.

 -- Vincent Bernat <bernat@debian.org>  Wed, 29 Jan 2020 15:37:58 +0100

python-netaddr (0.7.19-1) unstable; urgency=medium

  * New upstream version.
  * d/control: bump Standards-Version.
  * d/control: build-depends on python3-sphinx.
  * d/rules: use /var/lib/ieee-data as target for OUI/IAB symlinks.
    Closes: #879615.

 -- Vincent Bernat <bernat@debian.org>  Mon, 23 Oct 2017 16:05:15 +0200

=== debian/control ===
--- 
+++ 
@@ -3,20 +3,21 @@
 Priority: optional
 Maintainer: Vincent Bernat <bernat@debian.org>
 Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Standards-Version: 3.9.8
-Build-Depends: debhelper (>= 9),
+Standards-Version: 4.1.1
+Build-Depends: debhelper-compat (= 9),
                ieee-data,
                localehelper,
-               python (>= 2.6.5),
+               dh-python,
+               python-all (>= 2.6.5),
                python-pytest,
                python-setuptools (>= 0.6b3),
-               python-sphinx (>= 1.0.7+dfsg),
+               python3-sphinx (>= 1.0.7+dfsg),
                python3-all (>= 3.2),
                python3-pytest,
                python3-setuptools
 Homepage: https://github.com/drkjam/netaddr/
-Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-netaddr.git
-Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-netaddr.git
+Vcs-Git: https://salsa.debian.org/python-team/modules/python-netaddr.git
+Vcs-Browser: https://salsa.debian.org/python-team/modules/python-netaddr
 
 Package: python-netaddr
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 
 override_dh_installdocs:
 	dh_installdocs
-	PYTHONPATH=. sphinx-build -N -q -E -b html docs/source/ \
+	PYTHONPATH=. python3 -m sphinx -N -q -E -b html docs/source/ \
 		debian/python-netaddr-docs/usr/share/doc/python-netaddr-docs/api/
 
 override_dh_install:
@@ -23,9 +23,9 @@
 dh_link/python-netaddr dh_link/python3-netaddr:
 	rm debian/$(@:dh_link/%=%)/$(python_module_path)/netaddr/eui/iab.*
 	rm debian/$(@:dh_link/%=%)/$(python_module_path)/netaddr/eui/oui.*
-	ln -s /usr/share/ieee-data/oui.txt debian/$(@:dh_link/%=%)/$(python_module_path)/netaddr/eui/
-	ln -s /usr/share/ieee-data/iab.txt debian/$(@:dh_link/%=%)/$(python_module_path)/netaddr/eui/
-	PYTHONPATH=$(CURDIR) python \
+	ln -s /var/lib/ieee-data/oui.txt debian/$(@:dh_link/%=%)/$(python_module_path)/netaddr/eui/
+	ln -s /var/lib/ieee-data/iab.txt debian/$(@:dh_link/%=%)/$(python_module_path)/netaddr/eui/
+	PYTHONPATH=$(CURDIR) python3 \
 		debian/$(@:dh_link/%=%)/$(python_module_path)/netaddr/eui/ieee.py
 
 # Tests

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/netaddr/netaddr-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-netaddr 0.8.0

=== Makefile ===
--- 
+++ 
@@ -41,15 +41,15 @@
 
 download:
 	@echo 'downloading latest IEEE data'
-	cd netaddr/eui/ && wget -N http://standards-oui.ieee.org/oui/oui.txt
-	cd netaddr/eui/ && wget -N http://standards-oui.ieee.org/iab/iab.txt
+	cd netaddr/eui/ && wget http://standards-oui.ieee.org/oui/oui.txt
+	cd netaddr/eui/ && wget http://standards-oui.ieee.org/iab/iab.txt
 	@echo 'rebuilding IEEE data file indices'
 	python netaddr/eui/ieee.py
 	@echo 'downloading latest IANA data'
-	cd netaddr/ip/ && wget -N http://www.iana.org/assignments/ipv4-address-space/ipv4-address-space.xml
-	cd netaddr/ip/ && wget -N http://www.iana.org/assignments/ipv6-address-space/ipv6-address-space.xml
-	cd netaddr/ip/ && wget -N http://www.iana.org/assignments/multicast-addresses/multicast-addresses.xml
-	cd netaddr/ip/ && wget -N http://www.iana.org/assignments/ipv6-unicast-address-assignments/ipv6-unicast-address-assignments.xml
+	cd netaddr/ip/ && wget https://www.iana.org/assignments/ipv4-address-space/ipv4-address-space.xml
+	cd netaddr/ip/ && wget https://www.iana.org/assignments/ipv6-address-space/ipv6-address-space.xml
+	cd netaddr/ip/ && wget https://www.iana.org/assignments/multicast-addresses/multicast-addresses.xml
+	cd netaddr/ip/ && wget https://www.iana.org/assignments/ipv6-unicast-address-assignments/ipv6-unicast-address-assignments.xml
 
 register:
 	@echo 'releasing netaddr'
@@ -58,6 +58,13 @@
 push_tags:
 	@echo 'syncing tags'
 	git push --tags
+
+ci: test_with_junitxml lint
+
+lint: setup_check
+
+setup_check:
+	python setup.py check
 
 test: clean
 	@echo 'running test suite'
@@ -68,4 +75,4 @@
 
 test_with_junitxml: clean
 	@echo 'running test suite with JUnit XML output'
-	py.test -vv --junitxml=$$CI_REPORTS/junit.xml $(PWD)/netaddr/tests
+	py.test -vv --junitxml=junit.xml

=== debian/changelog ===
python-netaddr (0.8.0-2ubuntu1) mantic; urgency=medium

  * d/control: Bump BD dephelper-compat (= 10).
  * d/rules: Drop dh_auto_test_override and use PYBUILD_TEST env vars.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 21 Sep 2023 13:43:02 -0400

python-netaddr (0.8.0-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.
  * Ran wrap-and-sort -bastk.

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Aug 2021 13:20:18 +0200

python-netaddr (0.8.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream release. (Closes: #986021)
  * Removed patches applied upstream:
    - 2ab73f10be7069c9412e853d2d0caf29bd624012.patch
    - PR200.patch

 -- Thomas Goirand <zigo@debian.org>  Sun, 28 Mar 2021 00:27:25 +0100

python-netaddr (0.7.19-5) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Sandro Tosi ]
  * Use the new Debian Python Team contact name and address

  [ Vincent Bernat ]
  * d/rules: do not build documentation (Closes: #984939)

 -- Vincent Bernat <bernat@debian.org>  Wed, 10 Mar 2021 19:35:08 +0100

python-netaddr (0.7.19-4) unstable; urgency=medium

  * Drop python2 support; Closes: #937942
  * debian/patches/PR200.patch
    - address SyntaxWarning revealed by python3.8; Closes: #950787

 -- Sandro Tosi <morph@debian.org>  Fri, 13 Mar 2020 13:40:36 -0400

=== debian/control ===
Source: python-netaddr
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Vincent Bernat <bernat@debian.org>
Uploaders:
 Debian Python Team <team+python@tracker.debian.org>,
Standards-Version: 4.1.1
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 ieee-data,
 localehelper,
 python3-all (>= 3.2),
 python3-pytest,
 python3-setuptools,
Homepage: https://github.com/drkjam/netaddr/
Vcs-Git: https://salsa.debian.org/python-team/packages/python-netaddr.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-netaddr

Package: python3-netaddr
Architecture: all
Depends:
 ieee-data,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 ipython3,
 python-netaddr-docs,
Conflicts:
 python-netaddr (<< 0.7.19-4),
Replaces:
 python-netaddr (<< 0.7.19-4),
Description: manipulation of various common network address notations (Python 3)
 netaddr is a Python library for the manipulation of various common
 network address notations and representations.
 .
 It takes the hassle out of fiddling with enumerable variations of
 network addresses presenting a consistent, extensible, easy-to-use
 and (above all) Pythonic API.
 .
 With it you can validate, convert, categorise, iterate, generate,
 slice (and dice):
  - MAC (Media Access Control)
  - IEEE EUI-48 and EUI-64
  - IP version 4
  - IP version 6
  - CIDR (Classless Inter-Domain Routing)
 .
 This is the Python 3 version of the package.

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-

export PYBUILD_NAME=netaddr
export LC_ALL=C.UTF-8

export PYBUILD_TEST_PYTEST=1
export PYBUILD_TEST_ARGS={dir}/netaddr/tests/

%:
	dh $@ --with python3 --buildsystem=pybuild

# Replace EUI files with the appropriate symlinks
override_dh_link: dh_link/python3-netaddr
	dh_link
python_module_path=usr/lib/python*/dist-packages
dh_link/python3-netaddr:
	rm debian/$(@:dh_link/%=%)/$(python_module_path)/netaddr/eui/iab.*
	rm debian/$(@:dh_link/%=%)/$(python_module_path)/netaddr/eui/oui.*
	ln -s /var/lib/ieee-data/oui.txt debian/$(@:dh_link/%=%)/$(python_module_path)/netaddr/eui/
	ln -s /var/lib/ieee-data/iab.txt debian/$(@:dh_link/%=%)/$(python_module_path)/netaddr/eui/
	PYTHONPATH=$(CURDIR) python3 \
		debian/$(@:dh_link/%=%)/$(python_module_path)/netaddr/eui/ieee.py

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3
